Package org.jbpm.kie.services.impl.admin

## Class ProcessInstanceMigrationServiceImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.admin.ProcessInstanceMigrationServiceImpl

- All Implemented Interfaces:
    `ProcessInstanceMigrationService`
  Direct Known Subclasses:
    `ProcessInstanceMigrationServiceCDIImpl`, `ProcessInstanceMigrationServiceEJBImpl`

      public class ProcessInstanceMigrationServiceImpl
      extends Object
      implements ProcessInstanceMigrationService

  Default implementation of `org.jbpm.services.api.admin.ProcessInstanceMigrationService` that delegates complete migration to `org.jbpm.runtime.manager.impl.migration.MigrationManager`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessInstanceMigrationServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected MigrationReport` | `convert​(MigrationReport report)` |
    `MigrationReport` | `migrate​(String sourceDeploymentId, Long processInstanceId, String targetDeploymentId, String targetProcessId)` | Migrates given process instance that belongs to source deployment, into target process id that belongs to target deployment.
    `MigrationReport` | `migrate​(String sourceDeploymentId, Long processInstanceId, String targetDeploymentId, String targetProcessId, Map<String,​String> nodeMapping)` | Migrates given process instance (with node mapping) that belongs to source deployment, into target process id that belongs to target deployment.
    `List<MigrationReport>` | `migrate​(String sourceDeploymentId, List<Long> processInstanceIds, String targetDeploymentId, String targetProcessId)` | Migrates given process instances that belong to source deployment, into target process id that belongs to target deployment.
    `List<MigrationReport>` | `migrate​(String sourceDeploymentId, List<Long> processInstanceIds, String targetDeploymentId, String targetProcessId, Map<String,​String> nodeMapping)` | Migrates given process instances (with node mapping) that belong to source deployment, into target process id that belongs to target deployment.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessInstanceMigrationServiceImpl

          public ProcessInstanceMigrationServiceImpl()

  - ### Method Detail

    - #### migrate

          public MigrationReport migrate​(String sourceDeploymentId,
                                         Long processInstanceId,
                                         String targetDeploymentId,
                                         String targetProcessId)

      Description copied from interface: `ProcessInstanceMigrationService`
      Migrates given process instance that belongs to source deployment, into target process id that belongs to target deployment. Following rules are enforced:
      - source deployment id must be there
      - process instance id must point to existing and active process instance
      - target deployment must exist
      - target process id must exist in target deployment
      Migration returns migration report regardless of migration being successful or not that needs to be examined for migration outcome.
      Specified by:
        `migrate` in interface `ProcessInstanceMigrationService`
      Parameters:
        `sourceDeploymentId` - deployment that process instance to be migrated belongs to
        `processInstanceId` - id of the process instance to be migrated
        `targetDeploymentId` - id of deployment that target process belongs to
        `targetProcessId` - id of the process process instance should be migrated to
      Returns:
        returns complete migration report

    - #### migrate

          public MigrationReport migrate​(String sourceDeploymentId,
                                         Long processInstanceId,
                                         String targetDeploymentId,
                                         String targetProcessId,
                                         Map<String,​String> nodeMapping)

      Description copied from interface: `ProcessInstanceMigrationService`
      Migrates given process instance (with node mapping) that belongs to source deployment, into target process id that belongs to target deployment. Following rules are enforced:
      - source deployment id must be there
      - process instance id must point to existing and active process instance
      - target deployment must exist
      - target process id must exist in target deployment
      Migration returns migration report regardless of migration being successful or not that needs to be examined for migration outcome.
      Specified by:
        `migrate` in interface `ProcessInstanceMigrationService`
      Parameters:
        `sourceDeploymentId` - deployment that process instance to be migrated belongs to
        `processInstanceId` - id of the process instance to be migrated
        `targetDeploymentId` - id of deployment that target process belongs to
        `targetProcessId` - id of the process process instance should be migrated to
        `nodeMapping` - node mapping - source and target unique ids of nodes to be mapped - from process instance active nodes to new process nodes
      Returns:
        returns complete migration report

    - #### migrate

          public List<MigrationReport> migrate​(String sourceDeploymentId,
                                               List<Long> processInstanceIds,
                                               String targetDeploymentId,
                                               String targetProcessId)

      Description copied from interface: `ProcessInstanceMigrationService`
      Migrates given process instances that belong to source deployment, into target process id that belongs to target deployment. Following rules are enforced:
      - source deployment id must be there
      - process instance id must point to existing and active process instance
      - target deployment must exist
      - target process id must exist in target deployment
      Migration returns list of migration report - one per process instance, regardless of migration being successful or not that needs to be examined for migration outcome.
      Specified by:
        `migrate` in interface `ProcessInstanceMigrationService`
      Parameters:
        `sourceDeploymentId` - deployment that process instance to be migrated belongs to
        `processInstanceIds` - list of process instance id to be migrated
        `targetDeploymentId` - id of deployment that target process belongs to
        `targetProcessId` - id of the process process instance should be migrated to
      Returns:
        returns complete migration report

    - #### migrate

          public List<MigrationReport> migrate​(String sourceDeploymentId,
                                               List<Long> processInstanceIds,
                                               String targetDeploymentId,
                                               String targetProcessId,
                                               Map<String,​String> nodeMapping)

      Description copied from interface: `ProcessInstanceMigrationService`
      Migrates given process instances (with node mapping) that belong to source deployment, into target process id that belongs to target deployment. Following rules are enforced:
      - source deployment id must be there
      - process instance id must point to existing and active process instance
      - target deployment must exist
      - target process id must exist in target deployment
      Migration returns list of migration report - one per process instance, regardless of migration being successful or not that needs to be examined for migration outcome.
      Specified by:
        `migrate` in interface `ProcessInstanceMigrationService`
      Parameters:
        `sourceDeploymentId` - deployment that process instance to be migrated belongs to
        `processInstanceIds` - list of process instance id to be migrated
        `targetDeploymentId` - id of deployment that target process belongs to
        `targetProcessId` - id of the process process instance should be migrated to
        `nodeMapping` - node mapping - source and target unique ids of nodes to be mapped - from process instance active nodes to new process nodes
      Returns:
        returns list of migration reports one per each process instance

    - #### convert

          protected MigrationReport convert​(MigrationReport report)